#pragma once
#include "texture.hpp"

namespace textures {
  void init();

  SpriteTexture get(std::string name);

  sf::Image load_image(std::string filename);

  const uint32_t* get_surface(size_t num);

  matrix::Matrix convert_char_to_texture(matrix::Matrix &from);

  const uint32_t* get_floor();

  const uint32_t* get_ceiling();
}
